import {
    request
} from '../selfRequest';


// 根据用户id查询对应的设备
export function getEquipmentByUserIdRq(id) {
    return request({
        url: '/api/equipment/getEquipmentByUserId/' + id,
        method: "get",
    });
}

// 开门
export function openDoorRq(data) {
    return request({
        url: '/api/equipment/openDoor',
        method: "post",
        data
    });
}

// 开门记录
export function getOpenDoorRecordRq(data) {
    return request({
        url: `/api/equipment/getOpenDoorRecord?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
        method: "post",
        data
    });
}